/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * JDBCTerminal IN p[^ݒ_CAO
 * @version	1.2 99/10/12
 * @author 	Yuichi Omata, Sun Microsystems Inc.
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
public class InParamDialog extends JDialog implements ActionListener, WindowListener {

    StatementFrame module;

    JLabel indexLabel;
    JTextField indexField;
    JLabel valueLabel;
    JTextField valueField;
    JLabel setTypeLabel;
    JComboBox setTypeChoice;
    JButton okButton;
    JButton cancelButton;

    /**
     * RXgN^
     */
    public InParamDialog(Frame parent, StatementFrame module) {
        super(parent);
        this.module = module;

        addWindowListener(this);
        setTitle("JDBCTerminal: Set IN Parameter");
        
        Container pane = getContentPane();
	GridBagLayout gbl = new GridBagLayout();
	gbl.columnWidths = new int[] {14,14,14,14};
	gbl.rowHeights =  new int[] {14,14,14,14,14,14,14,14,14};
	gbl.columnWeights = new double[] {0.0,0.0,0.0,0.0};
	gbl.rowWeights = new double[] {0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0};
	pane.setLayout(gbl);
	GridBagConstraints gbc = new GridBagConstraints();

        //
        indexLabel = new JLabel("Index:");
        gbc.gridx = 1;
        gbc.gridy = 1;
        gbc.anchor = GridBagConstraints.EAST;
        gbl.setConstraints(indexLabel, gbc);
        pane.add(indexLabel);

        //
        indexField = new JTextField(2);
        gbc.gridx++;
        gbc.anchor = GridBagConstraints.WEST;
        gbl.setConstraints(indexField, gbc);
        pane.add(indexField);
        
        //
        valueLabel = new JLabel("Value:");
        gbc.gridx = 1;
        gbc.gridy += 2;
        gbc.anchor = GridBagConstraints.EAST;
        gbl.setConstraints(valueLabel, gbc);
        pane.add(valueLabel);

        //
        valueField = new JTextField(20);
        gbc.gridx++;
        gbc.anchor = GridBagConstraints.WEST;
        gbl.setConstraints(valueField, gbc);
        pane.add(valueField);
        
        //
        setTypeLabel = new JLabel("set");
        gbc.gridx = 1;
        gbc.gridy += 2;
        gbc.anchor = GridBagConstraints.EAST;
        gbl.setConstraints(setTypeLabel, gbc);
        pane.add(setTypeLabel);
        
        //
        setTypeChoice = new JComboBox();
        gbc.gridx++;
        gbc.anchor = GridBagConstraints.WEST;
        gbl.setConstraints(setTypeChoice, gbc);
        setTypeChoice.addItem("Boolean");
        setTypeChoice.addItem("Byte");
        setTypeChoice.addItem("Date");
        setTypeChoice.addItem("Double");
        setTypeChoice.addItem("Float");
        setTypeChoice.addItem("Int");
        setTypeChoice.addItem("Long");
        setTypeChoice.addItem("Short");
        setTypeChoice.addItem("String");
        setTypeChoice.addItem("Time");
        setTypeChoice.addItem("Timestamp");
        setTypeChoice.addItem("Null");
        setTypeChoice.setSelectedItem("String");
        pane.add(setTypeChoice);

        //
        okButton = new JButton("OK");
        gbc.gridx = 1;
        gbc.gridy += 2;
        gbc.anchor = GridBagConstraints.CENTER;
        gbl.setConstraints(okButton, gbc);
        pane.add(okButton);
        okButton.addActionListener(this);

        //
        cancelButton = new JButton("Cancel");
        gbc.gridx++;
        gbl.setConstraints(cancelButton, gbc);
        pane.add(cancelButton);
        cancelButton.addActionListener(this);

        pack();

    }

    /**
     * ANVECxgB
     * @param ev ANVECxg
     */
    public void actionPerformed(ActionEvent ev){
        if (okButton == ev.getSource()) {
	    module.addInParam(indexField.getText(), valueField.getText(), (String)setTypeChoice.getSelectedItem());
	}
        setVisible(false);
    }

    /**
     * _CAOB
     * @param ev EBhEECxg
     */
    public void windowClosing(WindowEvent ev){
        setVisible(false);
    }

    public void windowActivated(WindowEvent ev) {}
    public void windowClosed(WindowEvent ev) {}
    public void windowDeactivated(WindowEvent ev) {}
    public void windowDeiconified(WindowEvent ev) {}
    public void windowIconified(WindowEvent ev) {}
    public void windowOpened(WindowEvent ev) {}
}
