/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.Component;
import javax.swing.JOptionPane;

/**
 * @version	1.2 99/10/12
 * @author 	Yuichi Omata, Sun Microsystems Inc.
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
public class JDBCTerminal {

    MainFrame mainFrame;
    StatementFrame statementFrame;
    LogFrame logFrame;
    AddDriverDialog addDriverDialog;

    public JDBCTerminal() {
	logFrame = new LogFrame();
	mainFrame = new MainFrame(this);
 	statementFrame = new StatementFrame(this);
	addDriverDialog = new AddDriverDialog(this);
    }

    public MainFrame getMainFrame() {
	return mainFrame;
    }

    public StatementFrame getStatementFrame() {
	return statementFrame;
    }

    public LogFrame getLogFrame() {
	return logFrame;
    }

    public AddDriverDialog getAddDriverDialog() {
	return addDriverDialog;
    }

    public static void main(String[] args) {
	JDBCTerminal terminal = new JDBCTerminal();
        terminal.getMainFrame().start();
	return;
    }

    public static void showMessage(String ms, Component bs) {
        JOptionPane.showMessageDialog(bs, ms);
    }
}
