/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * JDBCTerminal OUT p[^ݒ_CAO
 * @version	1.2 99/10/12
 * @author 	Yuichi Omata, Sun Microsystems Inc.
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
public class OutParamDialog extends JDialog implements ActionListener, WindowListener {

    StatementFrame module;

    JLabel indexLabel;
    JTextField indexField;
    JLabel SQLTypeLabel;
    JComboBox SQLTypeChoice;
    JButton okButton;
    JButton cancelButton;

    /**
     * RXgN^
     */
    public OutParamDialog(Frame parent, StatementFrame module) {
        super(parent);
        this.module = module;

        addWindowListener(this);
        setTitle("JDBCTerminal: Set OUT Parameter");
        
        Container pane = getContentPane();
	GridBagLayout gbl = new GridBagLayout();
	gbl.columnWidths = new int[] {14,14,14,14};
	gbl.rowHeights =  new int[] {14,14,14,14,14,14,14};
	gbl.columnWeights = new double[] {0.0,0.0,0.0,0.0};
	gbl.rowWeights = new double[] {0.0,0.0,0.0,0.0,0.0,0.0,0.0};
	pane.setLayout(gbl);
	GridBagConstraints gbc = new GridBagConstraints();

        //
        indexLabel = new JLabel("Index:");
        gbc.gridx = 1;
        gbc.gridy = 1;
        gbc.anchor = GridBagConstraints.EAST;
        gbl.setConstraints(indexLabel, gbc);
        pane.add(indexLabel);

        //
        indexField = new JTextField(2);
        gbc.gridx++;
        gbc.anchor = GridBagConstraints.WEST;
        gbl.setConstraints(indexField, gbc);
        pane.add(indexField);
        
        //
        SQLTypeLabel = new JLabel("SQL Type:");
        gbc.gridx = 1;
        gbc.gridy += 2;
        gbc.anchor = GridBagConstraints.EAST;
        gbl.setConstraints(SQLTypeLabel, gbc);
        pane.add(SQLTypeLabel);

        //
        SQLTypeChoice = new JComboBox();
        gbc.gridx++;
        gbc.anchor = GridBagConstraints.WEST;
        gbl.setConstraints(SQLTypeChoice, gbc);
        SQLTypeChoice.addItem("BIT");
        SQLTypeChoice.addItem("TINYINT");
        SQLTypeChoice.addItem("SMALLINT");
        SQLTypeChoice.addItem("INTEGER");
        SQLTypeChoice.addItem("BIGINT");
        SQLTypeChoice.addItem("FLOAT");
        SQLTypeChoice.addItem("REAL");
        SQLTypeChoice.addItem("DOUBLE");
        SQLTypeChoice.addItem("NUMERIC");
        SQLTypeChoice.addItem("DECIMAL");
        SQLTypeChoice.addItem("CHAR");
        SQLTypeChoice.addItem("VARCHAR");
        SQLTypeChoice.addItem("LONGVARCHAR");
        SQLTypeChoice.addItem("DATE");
        SQLTypeChoice.addItem("TIME");
        SQLTypeChoice.addItem("TIMESTAMP");
        SQLTypeChoice.addItem("BINARY");
        SQLTypeChoice.addItem("VARBINARY");
        SQLTypeChoice.addItem("LONGVARBINARY");
        SQLTypeChoice.setSelectedItem("CHAR");
        pane.add(SQLTypeChoice);

        //
        okButton = new JButton("OK");
        gbc.gridx = 1;
        gbc.gridy += 2;
        gbc.anchor = GridBagConstraints.CENTER;
        gbl.setConstraints(okButton, gbc);
        pane.add(okButton);
        okButton.addActionListener(this);

        //
        cancelButton = new JButton("Cancel");
        gbc.gridx++;
        gbl.setConstraints(cancelButton, gbc);
        pane.add(cancelButton);
        cancelButton.addActionListener(this);

        pack();

    }

    /**
     * ANVECxgB
     * @param ev ANVECxg
     */
    public void actionPerformed(ActionEvent ev){
        if (okButton == ev.getSource())
	    module.addOutParam(indexField.getText(), (String)SQLTypeChoice.getSelectedItem());
        setVisible(false);
    }

    /**
     * _CAOB
     * @param ev EBhEECxg
     */
    public void windowClosing(WindowEvent ev){
        setVisible(false);
    }

    public void windowActivated(WindowEvent ev) {}
    public void windowClosed(WindowEvent ev) {}
    public void windowDeactivated(WindowEvent ev) {}
    public void windowDeiconified(WindowEvent ev) {}
    public void windowIconified(WindowEvent ev) {}
    public void windowOpened(WindowEvent ev) {}
}
