/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.*;

/**
 * DB OC UIB
 *
 * @version     1.1, 99/09/24
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
class LoginUI extends JDialog implements ActionListener {
    /**
     * f[^x[XڑɕKvȃf[^͂tB[hQB
     */
    JTextField urlField;
    JTextField userNameField;
    JPasswordField passwordField;

    /**
     * {^B
     */
    JButton okButton;
    JButton cancelButton;

    /**
     * OCEAvP[V{́B
     */
    Login application;

    /**
     * et[ƃ[_̃tOAAvP[V{̂
     * RXgN^B
     * @param pr et[
     * @param mf [_̃tO
     * @param ap OCEAvP[V{
     */
    LoginUI(Frame pr, boolean mf, Login ap) {
        super(pr, "Database Login", mf);
        setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        application = ap;
        //
        GridBagLayout gbl = new GridBagLayout();
        GridBagConstraints gbc = new GridBagConstraints();
        Container panel = getContentPane();
        panel.setLayout(gbl);
        //
        gbc.insets = new Insets(5, 5, 5, 5);
        place(gbc, panel, new JLabel("URL:", JLabel.RIGHT),
              0, 0, 1, 1, 0.0, 0.0, gbc.EAST, gbc.NONE);
        urlField = new JTextField(15);
        place(gbc, panel, urlField,
              1, 0, 2, 1, 0.0, 0.0, gbc.WEST, gbc.NONE);
        place(gbc, panel, new JLabel("User Name:", JLabel.RIGHT),
              0, 1, 1, 1, 0.0, 0.0, gbc.EAST, gbc.NONE);
        userNameField = new JTextField(15);
        place(gbc, panel, userNameField,
              1, 1, 2, 1, 0.0, 0.0, gbc.WEST, gbc.NONE);
        place(gbc, panel, new JLabel("Password:", JLabel.RIGHT),
              0, 2, 1, 1, 0.0, 0.0, gbc.EAST, gbc.NONE);
        passwordField = new JPasswordField(15);
        place(gbc, panel, passwordField,
              1, 2, 2, 1, 0.0, 0.0, gbc.WEST, gbc.NONE);
        okButton = new JButton("OK");
        place(gbc, panel, okButton,
              1, 3, 1, 1, 0.0, 0.0, gbc.EAST, gbc.NONE);
        cancelButton = new JButton("Cancel");
        place(gbc, panel, cancelButton,
              2, 3, 1, 1, 0.0, 0.0, gbc.WEST, gbc.NONE);
        //
        okButton.addActionListener(this);
        cancelButton.addActionListener(this);
        pack();
    }

    /**
     * ActionEvent:action-performed B
     * @param ev Cxg
     */
    public void actionPerformed(ActionEvent ev) {
        if (ev.getSource() == okButton) {
            application.connectDatabase();
            dispose();
        } else if (ev.getSource() == cancelButton) {
            dispose();
        }
    }

    /* -- application method -- */
    /**
     * URL tB[h̒l擾B
     */
    protected String getTextURLField() {
        return urlField.getText();
    }

    /**
     * URL tB[hɒlݒ肷B
     * @param v l
     */
    protected void setTextURLField(String v) {
        urlField.setText(v);
    }

    /**
     * UserName tB[h̒l擾B
     */
    protected String getTextUserNameField() {
        return userNameField.getText();
    }

    /**
     * User tB[hɒlݒ肷B
     * @param v l
     */
    protected void setTextUserNameField(String v) {
        userNameField.setText(v);
    }

    /**
     * password tB[h̒l擾B
     */
    protected String getTextPasswordField() {
        return new String(passwordField.getPassword());
    }

    /**
     * password tB[hɒlݒ肷B
     * @param v l
     */
    protected void setTextPasswordField(String v) {
        passwordField.setText(v);
    }

    /* -- utility method -- */
    /**
     * GirdBagLayout zu\bhB
     */
    private void place(GridBagConstraints c, Container cn,
                       Component cmp, int x, int y, int w, int h,
                       double wx, double wy, int ac, int fl) {
        c.gridx = x;
        c.gridy = y;
        c.gridwidth = w;
        c.gridheight = h;
        c.weightx = wx;
        c.weighty = wy;
        c.anchor = ac;
        c.fill = fl;
        cn.add(cmp, c);
    }

    /**
     * G[_CAOŕ\B
     * @param mes bZ[W
     */
    protected void showError(String mes) {
        JOptionPane.showMessageDialog(this, mes, "ERROR",
                                      JOptionPane.ERROR_MESSAGE);
    }
}
